<?PHP

// Boostrap WP
$wp_include = "../wp-load.php";
$i = 0;
while (!file_exists($wp_include) && $i++ < 10) {
  $wp_include = "../$wp_include";
}

// let's load WordPress
require($wp_include);

// Get Options from DB
$sharelocker_twitter_username = get_option('sharelocker-twitter-username');

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Wordpress Share Locker</title>
<style type="text/css">

#shortcodeform label{
	display:block;
	margin:10px 0px 5px 0px;
	color:#21759B;
	font-family:Arial, Helvetica, sans-serif;
	font-weight:bold;
	font-size:13px;
	background:url(../images/mce-gear.png) left center no-repeat;
	line-height:20px;
	padding:0 0 0 24px;
}

#shortcodeform .input{
	width:395px;
    background: none repeat scroll 0 0 #F3F3F3;
    border: 1px solid #DDDDDD;
    color: #333333;
    padding: 6px;
	margin:5px 0px 10px 0px;
	font-size:11px;
}

#wpsl-insert{
	padding:7px 11px;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
	font-weight:bold;
    background: none repeat scroll 0 0 #F3F3F3;
    border: 1px solid #DDDDDD;
    color: #999999 !important;
	font-size:12px;
	cursor:pointer;
}

#wpsl-insert:hover{
	border:1px solid #bbbbbb;
	color:#666666 !important;
}

</style>
<link href="<?php echo get_option('siteurl') ?>/wp-includes/js/thickbox/thickbox.css" rel="stylesheet" type="text/css" />
<script language="javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/jquery/jquery.js"></script>
<script language="javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/thickbox/thickbox.js"></script>
<script language="javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
<script language="javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/mctabs.js"></script>
<script language="javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/form_utils.js"></script>
<script language="javascript" type="text/javascript">

	jQuery(document).ready(function() {
	
		jQuery('#upload_image_button').click(function() {
			 formfield = jQuery('#upload_image').attr('name');
			 tb_show('', 'media-upload.php?type=image&amp;TB_iframe=true');
			 return false;
		});
		
		window.send_to_editor = function(html) {
			 imgurl = jQuery('img',html).attr('src');
			 jQuery('#upload_image').val(imgurl);
			 tb_remove();
		}
	
	});


	// Start TinyMCE
	function init() {
		tinyMCEPopup.resizeToInnerSize();
	}
	
	// Function to add the like locker shortcode to the editor
	function addLocker(){
		
		// Cache our form vars
		var locker_id = "<?PHP echo substr( md5( time() ), 0, -15 ); ?>";
		var wpsl_theme = document.getElementById('wpsl-theme').value;
		var wpsl_msg = document.getElementById('wpsl-msg').value;
		var wpsl_fb_on = document.getElementById('wpsl-fb-on').value;
		var wpsl_fb = document.getElementById('wpsl-fb').value;
		var wpsl_google_on = document.getElementById('wpsl-google-on').value;
		var wpsl_google = document.getElementById('wpsl-google').value;
		var wpsl_follow_on = document.getElementById('wpsl-follow-on').value;
		var wpsl_tweet_on = document.getElementById('wpsl-tweet-on').value;
		var wpsl_tweet = document.getElementById('wpsl-tweet').value;
		var wpsl_tweeturl = document.getElementById('wpsl-tweeturl').value;
		var wpsl_linkedin_on = document.getElementById('wpsl-linkedin-on').value;
		var wpsl_linkedin = document.getElementById('wpsl-linkedin').value;
		var fbstring;
		var googlestring;
		var followstring;
		var tweetstring;
		var sharestring;
		
		// If TinyMCE runable
		if(window.tinyMCE) {
			
			// Get the selected text in the editor
			selected = tinyMCE.activeEditor.selection.getContent();
			
			// Build Facebook String
			if(wpsl_fb_on == 'true'){
				fbstring = 'facebook="true" likeurl="'+wpsl_fb+'"';
			} else {
				fbstring = 'facebook="false"';
			}

			// Build Facebook String
			if(wpsl_google_on == 'true'){
				googlestring = 'google="true" googleurl="'+wpsl_google+'"';
			} else {
				googlestring = 'google="false"';
			}
			
			// Build Twitter
			if(wpsl_follow_on == 'true'){
				followstring = 'follow="true"';
			} else {
				followstring = 'follow="false"';
			}
			if(wpsl_tweet_on == 'true'){
				tweetstring = 'tweet="true" tweettext="'+wpsl_tweet+'" tweeturl="'+wpsl_tweeturl+'"';
			} else {
				tweetstring = 'tweet="false"';
			}
			
			// Build LinkedIn
			if(wpsl_linkedin_on == 'true'){
				sharestring = 'linkedin="true" linkedinurl="'+wpsl_linkedin+'"';
			} else {
				sharestring = 'linkedin="false"';
			}
								
			
			// Send our modified shortcode to the editor with selected content				
			window.tinyMCE.execInstanceCommand('content', 'mceInsertContent', false,  '[share-locker locker_id="'+locker_id+'" theme="'+wpsl_theme+'" message="'+wpsl_msg+'" '+fbstring+' '+googlestring+' '+tweetstring+' '+followstring+' '+sharestring+']'+selected+'[/share-locker]');

			// Repaints the editor
			tinyMCEPopup.editor.execCommand('mceRepaint');
			
			// Close the TinyMCE popup
			tinyMCEPopup.close();
			
		} // end if
		
		return; // always R E T U R N

	} // end add like locker function
	
</script>
</head>

<body>

<div class="tabs">
    <ul>
        <li id="main_tab" class="current"><span><a href="javascript:mcTabs.displayTab('main_tab','main_panel');" onmousedown="return false;">Main Settings</a></span></li>
      <li id="facebook_tab" class=""><span><a href="javascript:mcTabs.displayTab('facebook_tab','facebook_panel');" onmousedown="return false;">Facebook Settings</a></span></li>
      <li id="google_tab" class=""><span><a href="javascript:mcTabs.displayTab('google_tab','google_panel');" onmousedown="return false;">Google Settings</a></span></li>
      <li id="twitter_tab" class=""><span><a href="javascript:mcTabs.displayTab('twitter_tab','twitter_panel');" onmousedown="return false;">Twitter Settings</a></span></li>
      <li id="linkedin_tab" class=""><span><a href="javascript:mcTabs.displayTab('linkedin_tab','linkedin_panel');" onmousedown="return false;">LinkedIn Settings</a></span></li>
    </ul>
</div>

<div id="thkBC_options" class="panel_wrapper">

    <form method="post" action="" id="shortcodeform">

    <div id="main_panel" class="panel current" style="height:250px;"><br />
    
        <label>Color Theme</label>
        <select name="wpsl-theme" class="input" id="wpsl-theme">
        <option value="blue" selected="selected">Blue</option>
        <option value="grey">Grey</option>
        <option value="red">Red</option>
        <option value="green">Green</option>
        <option value="orange">Orange</option>
        </select>
        
        <label for="wpsl-msg">Message To Show Users</label>
        <textarea name="wpsl-msg" id="wpsl-msg" cols="" rows="3" class="input">Share this page to unlock this content!</textarea><br />
                          
        <input name="wpsl-insert" type="button" id="wpsl-insert" value="Next &raquo;" onclick="javascript:mcTabs.displayTab('facebook_tab','facebook_panel');" />
        <input name="wpsl-insert" type="button" id="wpsl-insert" value="Insert Locker" onclick="addLocker();" />
                                  
    </div>
    

    <div id="facebook_panel" class="panel" style="height:210px;"><br />
    
        <label>Show Like Button?</label>
        <select name="wpsl-fb-on" class="input" id="wpsl-fb-on">
            <option value="true" selected="selected">Yes</option>
            <option value="false">No</option>
        </select>

      <label for="wpsl-fb">Facebook Like Button URL</label>
        <input name="wpsl-fb" id="wpsl-fb" type="text" class="input" value="CURRENT" /><br />

        <input name="wpsl-insert" type="button" id="wpsl-insert" value="Next &raquo;" onclick="javascript:mcTabs.displayTab('google_tab','google_panel');" /> 
        <input name="wpsl-insert" type="button" id="wpsl-insert" value="Insert Locker" onclick="addLocker();" />                             
                                  
    </div>


    <div id="google_panel" class="panel" style="height:210px;"><br />
    
        <label>Show Google+ Button?</label>
        <select name="wpsl-google-on" class="input" id="wpsl-google-on">
            <option value="true" selected="selected">Yes</option>
            <option value="false">No</option>
        </select>

      <label for="wpsl-google">Google+ Button URL</label>
        <input name="wpsl-google" id="wpsl-google" type="text" class="input" value="CURRENT" /><br />
        
        <input name="wpsl-insert" type="button" id="wpsl-insert" value="Next &raquo;" onclick="javascript:mcTabs.displayTab('twitter_tab','twitter_panel');" />
        <input name="wpsl-insert" type="button" id="wpsl-insert" value="Insert Locker" onclick="addLocker();" />                           
                                  
    </div>


    <div id="twitter_panel" class="panel" style="height:400px;"><br />
    
        <label>Show Follow Button?</label>
        <select name="wpsl-follow-on" class="input" id="wpsl-follow-on">
            <option value="true" selected="selected">Yes</option>
            <option value="false">No</option>
        </select>
        
        <label>Show Tweet Button?</label>
        <select name="wpsl-tweet-on" class="input" id="wpsl-tweet-on">
            <option value="true" selected="selected">Yes</option>
            <option value="false">No</option>
        </select>
        
        <label for="wpsl-tweeturl">Tweet URL</label>
        <input name="wpsl-tweeturl" id="wpsl-tweeturl" type="text" class="input" value="CURRENT" />
        
        <label for="wpsl-tweet">Optional Tweet Text</label>
        <textarea name="wpsl-tweet" id="wpsl-tweet" id="wpsl-tweet" cols="" rows="3" class="input"></textarea><br />
        
        <input name="wpsl-insert" type="button" id="wpsl-insert" value="Next &raquo;" onclick="javascript:mcTabs.displayTab('linkedin_tab','linkedin_panel');" />
        <input name="wpsl-insert" type="button" id="wpsl-insert" value="Insert Locker" onclick="addLocker();" />                              
                                  
    </div>
    
    
    <div id="linkedin_panel" class="panel" style="height:210px;"><br />
    
        <label>Show LinkedIn Share Button?</label>
        <select name="wpsl-linkedin-on" class="input" id="wpsl-linkedin-on">
            <option value="true" selected="selected">Yes</option>
            <option value="false">No</option>
        </select>

        <label for="wpsl-linkedin">Share Button URL</label>
        <input name="wpsl-linkedin" id="wpsl-linkedin" type="text" class="input" value="CURRENT" /><br />
        
        <input name="wpsl-insert" type="button" id="wpsl-insert" value="Insert Locker" onclick="addLocker();" />                              
                                  
    </div>
    
    </form>

</div>

</body>
</html>